#include<bits/stdc++.h>
using namespace std;
int brdel(int n)
{
    if(n==1)
    {
        return 1;
    }
    int br=2;
    for(int i=2; i*i<=n; i++)
    {
        if(n/i==i)
        {
            br++;
        }
        else
        {
            if(n%i==0)
            {
                br+=2;
            }

        }
    }
    return br;
}
int main()
{
    int n,h,br=0,br1=0,k;
    cin>>n;
    for(int i=1; i<=n; i++)
    {
        if(n%i==0)
        {
            h=n/i;
            k=brdel(h);
            if(k%2==1)
            {
                br1+=(k-1)/2;
                br1++;
            }
            else
            {
                br+=k/2;
            }
        }
    }
    cout<<br/3+br1/2;
    return 0;
}
